%define anolis_release 1

Name:		m4
Version:	1.4.19
Release:	%{anolis_release}%{?dist}
Summary:	GNU macro processor

License:	GPLv3+
URL:		https://www.gnu.org/software/m4/
Source0:	https://ftp.gnu.org/gnu/m4/m4-%{version}.tar.xz

BuildRequires:	make
BuildRequires:	gcc
BuildRequires:	gettext
Provides:	bundled(gnulib)

%description
GNU M4 is an implementation of the traditional Unix macro processor.
It is mostly SVR4 compatible with some extensions. GNU M4 has built-in
functions for including files, running shell commands, doing arithmetic, etc.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install
rm -rf %{buildroot}%{_infodir}/dir
%find_lang %{name}

%check
make %{?_smp_mflags} check

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%{_bindir}/m4
%{_infodir}/*
%{_mandir}/man1/m4.1*

%changelog
* Tue Apr 12 2022 Su Lifan <su-lifan@linux.alibaba.com> - 1.4.19-1
- Initial packaging for Anolis OS 23
